package com.miya.fastcashier.utils

import android.content.Context
import android.text.TextUtils

fun isEmpty(s: String?): Boolean {
    return TextUtils.isEmpty(s)
}

fun isEmpty(list: List<Any>?): Boolean {
    return list == null || list.isEmpty()
}

fun sp2px(context: Context, spValue: Float): Int {
    val fontScale: Float = context.resources.displayMetrics.scaledDensity
    return (spValue * fontScale + 0.5f).toInt()
}

/**
 * 根据分辨率从 dp 的单位 转成为 px(像素)
 */
fun dp2px(context: Context, dpValue: Float): Int {
    val scale = context.resources.displayMetrics.density
    return (dpValue * scale + 0.5f).toInt()
}
